Package org.apache.qpid.proton.reactor.impl

# Interface IO

All Known Implementing Classes:
  `IOImpl`

public interface IO

## Method Summary

Modifier and Type
Method
Description
`Pipe`
`pipe()`
`Selector`
`selector()`
`ServerSocketChannel`
`serverSocketChannel()`
`SocketChannel`
`socketChannel()`

## Method Details

### pipe

Pipe pipe() throws IOException

Throws:
  `IOException`

### selector

Selector selector() throws IOException

Throws:
  `IOException`

### serverSocketChannel

ServerSocketChannel serverSocketChannel() throws IOException

Throws:
  `IOException`

### socketChannel

SocketChannel socketChannel() throws IOException

Throws:
  `IOException`